import { SfCommand } from '@salesforce/sf-plugins-core';
import { RunDependencies } from '../../lib/actions/RunAction';
import { View } from '../../Constants';
import { Displayable } from '../../lib/Display';
export default class RunCommand extends SfCommand<void> implements Displayable {
    static readonly enableJsonFlag = false;
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly state: string;
    static readonly flags: {
        workspace: import("@oclif/core/lib/interfaces").OptionFlag<string[], import("@oclif/core/lib/interfaces").CustomOptions>;
        'path-start': import("@oclif/core/lib/interfaces").OptionFlag<string[] | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
        'rule-selector': import("@oclif/core/lib/interfaces").OptionFlag<string[], import("@oclif/core/lib/interfaces").CustomOptions>;
        'severity-threshold': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
        view: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces").CustomOptions>;
        'output-file': import("@oclif/core/lib/interfaces").OptionFlag<string[] | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
        'config-file': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
    };
    run(): Promise<void>;
    protected createDependencies(view: View, outputFiles?: string[]): RunDependencies;
}
