"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UxDisplay = void 0;
class UxDisplay {
    displayable;
    spinner;
    constructor(displayable, spinner) {
        this.displayable = displayable;
        this.spinner = spinner;
    }
    displayError(msg) {
        // Setting "exit" to false means that the error will be displayed in a non-halting fashion instead of killing
        // the transaction entirely.
        this.displayable.error(msg, { exit: false });
    }
    displayWarning(msg) {
        this.displayable.warn(msg);
    }
    displayInfo(message) {
        this.displayable.info(message);
    }
    displayLog(message) {
        this.displayable.log(message);
    }
    displayTable(data, columns) {
        this.displayable.table(data, columns);
    }
    spinnerStart(msg, status) {
        this.spinner.start(msg, status);
    }
    spinnerUpdate(status) {
        this.spinner.status = status;
    }
    spinnerStop(status) {
        this.spinner.stop(status);
    }
}
exports.UxDisplay = UxDisplay;
//# sourceMappingURL=Display.js.map