"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfigFileWriter = void 0;
const node_path_1 = __importDefault(require("node:path"));
const node_fs_1 = __importDefault(require("node:fs"));
const ConfigModel_1 = require("../models/ConfigModel");
const messages_1 = require("../messages");
class ConfigFileWriter {
    file;
    format;
    constructor(file, format) {
        this.file = file;
        this.format = format;
    }
    write(model) {
        node_fs_1.default.writeFileSync(this.file, model.toFormattedOutput(this.format));
    }
    static fromFile(file) {
        const ext = node_path_1.default.extname(file).toLowerCase();
        if (ext === '.yaml' || ext === '.yml') {
            return new ConfigFileWriter(file, ConfigModel_1.OutputFormat.RAW_YAML);
        }
        else {
            throw new Error((0, messages_1.getMessage)(messages_1.BundleName.ConfigWriter, 'error.unrecognized-file-format', [file]));
        }
    }
}
exports.ConfigFileWriter = ConfigFileWriter;
//# sourceMappingURL=ConfigWriter.js.map